#!/bin/bash
#Made possible by Cody the white tiger

BASEDIR=$(dirname "$0")
mkdir -p $BASEDIR/../bin/extern/
cd $BASEDIR/../bin/extern

sudo apt install -y python3 python3-pip python3-venv pkg-config libiso9660-dev libsndfile1-dev swig
if ! test -d py3venv; then
    python3 -m venv py3venv
fi
source py3venv/bin/activate
pip3 install ecdsa wheel pillow rarfile PyPDF2 requests opencv-contrib-python pycryptodome pycdio pycdlib 

if ! test -d pop-fe; then
    git clone https://github.com/sahlberg/pop-fe
fi

if ! test -d Cue2cu2; then
    git clone https://github.com/NRGDEAD/Cue2cu2
    cp Cue2cu2/cue2cu2.py pop-fe
fi

cd pop-fe
if ! test -d atracdenc; then
    git clone https://github.com/dcherednik/atracdenc.git
    cd atracdenc/src/
    cmake .
    make
    cd ../..
fi

if ! test -d PSL1GHT; then
    git clone https://github.com/sahlberg/PSL1GHT
    cd PSL1GHT/tools/ps3py
    git checkout origin/use-python3
    make
fi

#if ! test -f /usr/local/bin/python; then
#    sudo ln -s $(which python3) /usr/local/bin/python
#fi
